/* ------------------------------
汎用button
------------------------------ */
.c-button {
  font-size: 1.4rem;
  line-height: 1;
  font-weight: 700;
}

.c-button--primary {
  display: inline-block;
  width: 220px;
  border: 2px solid #005032;
  background: #fff;
  color: #005032;
  text-align: center;
  padding: 24px 0;
}

.c-button--primary:hover{
  background: #005032;
  color: #fff;
}

.c-button--primary__right-arrow{
  --icon: url(../images/green_arrow.svg);
  padding-right: 15.5px;
  background-color: transparent;
  background-image: var(--icon);
  background-position: center right;
  background-size: 11.3px auto;
  background-repeat: no-repeat;
}

.c-button--primary:hover .c-button--primary__right-arrow{
  -icon: url(../images/white_arrow.svg);
}

.c-button--primary__bottom-arrow{
  --icon: url(../images/green_arrow3.svg);
  padding-right: 15.5px;
  background-color: transparent;
  background-image: var(--icon);
  background-position: center right;
  background-size: 11.3px auto;
  background-repeat: no-repeat;
}

.c-button--primary:hover .c-button--primary__bottom-arrow{
  --icon: url(../images/green_arrow3_w.svg);
}

.c-button--primary__link{
  --icon: url(../images/externallink_icon_g.svg);
  padding-right: 20px;
  background-color: transparent;
  background-image: var(--icon);
  background-position: right 0 top 1px;
  background-size: 12px auto;
  background-repeat: no-repeat;
}

.c-button--primary:hover .c-button--primary__link{
  --icon: url(../images/externallink_icon_w.svg);
}

@media screen and (min-width:768px) {
  .c-button--primary {
    width: 290px;
  }
}

/* ------------------------------
button / 特殊
------------------------------ */
.c-button__IR-en{
  display: block;
  font-size: 1.4rem;
  line-height: 1;
  color: #005032;
  text-align: center;
  font-weight: 700;
  border: 1px solid #005032;
  padding: 8px 14px 8px 36px;
  border-radius: 50px;
  --icon: url(../images/icon-lang.svg);
  background-color: transparent;
  background-image: var(--icon);
  background-position: center left 16px;
  background-size: 16px auto;
  background-repeat: no-repeat;
  width: 140px;
  box-sizing: border-box;
}

@media screen and (min-width:768px) {
  .c-button__IR-en{
    font-size: 1rem;
    padding: 9px 8px 9px 28px;
    background-position: center left 12px;
    width: 100px;
  }
}

@media screen and (min-width:980px) {
 .c-button__IR-en{
    font-size: 1.2rem;
    width: 120px;
  }
}

.c-button__IR-jp{
  display: block;
  font-size: 1.4rem;
  line-height: 1;
  color: #005032;
  text-align: center;
  font-weight: 700;
  border: 1px solid #005032;
  padding: 8px 14px 8px 36px;
  border-radius: 50px;
  --icon: url(../images/icon-lang.svg);
  background-color: transparent;
  background-image: var(--icon);
  background-position: center left 16px;
  background-size: 16px auto;
  background-repeat: no-repeat;
  width: 94px;
  box-sizing: border-box;
}

/* ------------------------------
contact
------------------------------ */
.c-button__contact{
  padding: 42px 0 37px;
  text-align: center;
  position: relative;
  display: block;
  color: #fff;
  --icon: url(../images/pc/contact_close_2x.png);
  background-color: #005032;
  background-image: var(--icon);
  background-position: right bottom;
  background-size: auto 90px;
  background-repeat: no-repeat;
}

.c-button__contact:hover{
  --icon: url(../images/pc/contact_open_2x.png);
}

.c-button__contact-name{
  font-family: futura-pt;
  font-size: 25px;
  font-weight: 700;
  margin: 0 0 10px 0;
}

.c-button__contact-name-sub{
  font-size: 12px;
  font-weight: 700;
}

@media screen and (min-width:768px) {
  .c-button__contact{
    padding: 84px 0 81px;
    background-size: contain;
  }

  .c-button__contact-name{
    font-size: 36px;
    margin: 0 0 15px 0;
  }

  .c-button__contact-name-sub{
    font-size: 14px;
  }
}
/* ------------------------------
header
------------------------------ */
.l-header {
  position: fixed;
  display: grid;
  grid-template-columns: auto 1fr;
  z-index: 2;
  background-color: #fff;
  right: 0;
  left: 0;
}

.header-logo {
  display: inline-block;
  width: 57px;
  height: 47px;
  margin: 3.8px auto 4px 12px;
  --icon: url(../images/wellnet_logo_moji_medium_2x.png);
  background-color: transparent;
  background-image: var(--icon);
  background-position: top left;
  background-size: contain;
  background-repeat: no-repeat;
}

/* ハンバーガーメニュー */
.nav-drawer {
  position: absolute;
  top: 0;
  right: 0;
}

/*チェックボックス等は非表示に*/
.nav-unshown {
  display: none;
}

/*ハンバーガーアイコンのスペース*/
.nav-open {
  display: block;
  width: 28px;
  height: 22px;
  vertical-align: middle;
  margin: 19px 15px 0 auto;
}

/* ハンバーガーアイコン */
.hamburger-icon,
.hamburger-icon:before,
.hamburger-icon:after {
  position: absolute;
  height: 2px;
  width: 28px;
  border-radius: 3px;
  background: #005032;
  display: block;
  content: '';
  cursor: pointer;
}

.hamburger-icon:before {
  bottom: -8px;
}

.hamburger-icon:after {
  bottom: -16px;
}

/*閉じる用の薄黒カバー*/
.nav-close {
  display: none;
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  opacity: 0;
  transition: .3s ease-in-out;
}

/*中身*/
.nav-content {
  overflow: auto;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 90%;
  max-width: 330px;
  height: 100%;
  background: #fff;
  transition: .3s ease-in-out;
  -webkit-transform: translateX(-105%);
  transform: translateX(-105%);
}

/*チェックが入ったら表示*/
.nav-input:checked~.nav-close {
  display: block;
  opacity: .5;
}

.nav-input:checked~.nav-content {
  -webkit-transform: translateX(0%);
  transform: translateX(0%);
  /*中身を表示（右へスライド）*/
  box-shadow: 6px 0 25px rgba(0, 0, 0, .15);
}

.nav-content {
  padding-top: 60px;
  --icon: url(../images/wellnet_logo_moji_medium_2x.png);
  background-color: #fcfcfc;
  background-image: var(--icon), linear-gradient(to bottom, #ffffff, #ffffff);
  background-position: left 12px top 6px, center top;
  background-size: auto 47px, auto 60px;
  background-repeat: no-repeat, no-repeat;
}

.header-nav__item {
  padding: 0 15px;
  font-size: 1.4rem;
  line-height: 3.9;
  font-weight: 700;
  border-top: 1px solid #E6E6E6;
}

.header-nav__link {
  display: block;
  font-size: 1.4rem;
  line-height: 3.9;
  font-weight: 700;
}

.header-nav__en-ttl{
  font-size: 1rem;
  line-height: 1.6;
  font-family: futura-pt;
  color: #005032;
  padding-left: 10px;
} 

.header-nav__item:nth-last-child(2) {
  border-bottom: 1px solid #E6E6E6;
  font-size: 16px;
}

.header-nav__item:last-child {
  border: none;
  padding: 20px 10px;
}
  
/*事業内容メニューの開閉*/
.nav-content label {
  display: block;
  padding-right: 19px;
  background: url('../images/menu_close.svg') center right 1.5px / 17px auto no-repeat;
}

.nav-content .toggle-input:checked~label {
  background-image: url('../images/menu_open.svg');
}

.nav-content .toggle-input:not(:checked)~label~.header-nav-sub {
  height: 0;
  visibility: hidden;
  opacity: 0;
}

.nav-content ul .header-nav-sub {
  transition: height 0.3s ease-in-out;
}

/*事業内容メニューの中身*/
.header-nav-sub__item {
  border: none;
  padding: 0;
  margin: 0 0 12px;
}

.header-nav-sub__link{
  display: block;
  font-size: 1.2rem;
  line-height: 2;
  font-weight: 500;
}

.header-nav-sub__blank-link{
  padding-right: 22px;
  background: url('../images/externallink_icon.svg') top 5px left 100px / auto 12px no-repeat;
}

.header-nav-sub__item:last-child {
  margin: 0 0 9px;
}

/*PC用メニュー*/
.header-nav-pc{
  display: none;
}

@media screen and (min-width:768px) {
  .l-header {
    position: relative;
  }

  .header-nav-pc{
    padding: 0 30px 36px;
    margin: 0 0 0 auto;
  }

  .header-nav-pc__item {
    display: inline-block;
    margin-left: 68px;
    margin-top: 30px;
  }

  .header-nav-pc__item:first-child {
    margin-left: 0;
  }

  .header-nav-pc__link{
    font-size: 1rem;
    line-height: 2.2;
    font-weight: 700;
    text-align: center;
  }

  .header-nav-pc__en-ttl{
  font-size: 0.8rem;
  line-height: 1;
  font-weight: 700;
  font-family: futura-pt;
  color: #005032;
  }

   .header-logo {
    width: 114px;
    height: 94px;
    margin: 0 0 0 30px;
    background-image: url('../images/pc/wellnet_logo_moji_medium_2x.png');
  }

  .header-nav-pc {
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: space-between;
    gap: 4px;
    text-align: left;
    padding: 0 30px 36px 0;
    box-sizing: border-box;
  }

  .header-nav-pc__item {
    margin-left: 0;
  }

  /*スマホ用メニュー*/
  .nav-open {
    display: none;
  }

  .nav-drawer {
    display: none;
  }
}

@media screen and (min-width:980px) {
  .header-nav-pc{
    gap: 20px;
  }

  .header-nav-pc__link{
    font-size: 1.4rem;
    line-height: 1.7;
  }

  .header-nav-pc__en-ttl{
    font-size: 1rem;
    line-height: 1.2;
  }
}

@media screen and (min-width:1280px) {
  .l-header {
    width: 1200px;
    margin: 0 auto;
  }

  .header-logo {
    width: 187px;
    height: 155px;
    margin: 0 auto;
  }

  .header-nav-pc__item {
    margin-top: 66px;
  }
}

/* ------------------------------
header / IR-en
------------------------------ */
.l-header__en{
  display: block;
  padding: 0 15px 0 11px;
  margin: 0 auto;
  max-width: 1200px;
}

/* ------------------------------
footer
------------------------------ */
.footer-buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
  padding: 24px 0 21px;
}

.footer-button {
  display: block;
  font-family: futura-pt;
  font-size: 1.2rem;
  line-height: 2;
  font-weight: 600;
}

.footer-pc-nav {
  display: none;
}

.footer-inner {
  border-bottom: 1px solid #E6E6E6;
}

.footer-inner:last-child {
  display: flex;
  flex-direction: column;
  gap: 30px;
  border-bottom: 0px;
  margin: 26px auto 50px;
}

.footer-nav{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

.footer-nav-content{
  font-size: 1.2rem;
  line-height: 1.2;
  text-align: center;
}

.footer-nav-copyright {
  font-size: 1rem;
  line-height: 1.8;
  text-align: center;
}

.footer-certification-mark-wrapper{
  display: flex;
  justify-content: center;
  gap: 10px;
}

.footer-certification-mark{
  display: inline-block;
  height: 50px;
}

.footer-certification-mark-img{
  width: auto;
  height: 100%;
}

.footer-blank-link {
  display: inline-block;
  --icon: url(../images/externallink_icon.svg);
  padding-right: 15px;
  background-color: transparent;
  background-image: var(--icon);
  background-position: top right;
  background-size: auto 10px;
  background-repeat: no-repeat;
}

@media screen and (min-width:768px) {
  .footer-buttons {
    display: none;
  }

  .footer-pc-nav {
    width: calc(100% - 40px);
    max-width: 920px;
    display: flex;
    justify-content: space-between;
    align-items: first baseline;
    margin: 50px auto;
  }

  .footer-pc-nav-content {
    vertical-align: top;     
    text-align: left !important;
  }

  .footer-pc-nav-content-ttl{
    font-size: 1.4rem;
    display: inline-block;
    font-family:futura-pt;
    font-weight: bold;
    margin: 0 0 15px 0;
  }

  .footer-nav-sub-content{
    text-align: left;
  }

  .footer-sub-link{
    font-size: 1rem;
    line-height: 1;
  }

  .footer-nav {
    width: calc(100% - 40px);
    flex-direction: row;
    justify-content: center;
    align-items: first baseline;
    flex-wrap: wrap;
    gap:8px;
  }

  .footer-nav-content{
    font-size: 1rem;
  }
}

@media screen and (min-width:1280px) {

  .footer-pc-nav {
    max-width: 1106px;
    padding: 0 0 0 186px;
    --icon: url(../images/pc/wellnet_logo_moji_medium_2x.png);
    padding-right: 15px;
    background-color: transparent;
    background-image: var(--icon);
    background-position: left top -18px;
    background-size: auto 100px;
    background-repeat: no-repeat;
  }

    .footer-inner:last-child {
    width: calc(100% - 32px);
    gap: 25px;
  }
}

@media screen and (min-width:1580px) {
  .footer-inner:last-child {

    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  .footer-nav {
    gap: 24px;
  }
}

/* ------------------------------
footer / IR-en
------------------------------ */
.footer-inner__en{
  display: flex;
  flex-direction: column;
  gap: 24px;
  border-bottom: 0px;
  margin: 40px auto 8px;
}

.footer-box__en{
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 32px;
}

.footer-inner-logo__en{
  display: block;
  width: calc(100% - 70px);
  max-width: 240px;
  margin: 0 auto;
}

/* ------------------------------
見出し
------------------------------ */
